Bug 7298 - Опции -h и --help у скрипта cleanup_spec
: Опции -h и --help у скрипта cleanup_spec
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/rpm-utils)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-07-06 08:06 by
Modified: 2013-08-15 18:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-06 08:06:02
При запуске программы cleanup_spec с опциями -h или --help 12 раз (!) выдается 
справка по использовнию Perl :-) И в конце сообщение: "/usr/bin/cleanup_spec: 
line 39: -h: No such file or directory" Мне кажется, что эта программа плохо 
себя ведет ;)

P.S. Если это вдруг важно:
[c0der@mycomp ~]$ rpm -qf =cleanup_spec
rpm-utils-0.8.3-alt1
------- Comment #1 From 2006-09-03 03:15:30 -------
cleanup_spec не тянет на то, чтобы называться программой.
Это скрипт, написанный на коленке.
------- Comment #2 From 2010-10-09 16:28:57 -------
Видимо, таки WONTFIX?
------- Comment #3 From 2013-08-15 18:56:57 -------
Угу.  Кстати, по -h там справка от sed.